set termoption enhanced
set terminal pngcairo size 1270,720

set out "Neo Hookean.png"
set title "Fit Neo Hookean"
set grid
set key top left
set xlabel "{/Symbol e}"
set ylabel "{/Symbol s}"

# The polynomial approximation
f(x) = 2*C10*((1+x)-(1+x)**-2)

# Initial values for parameters
C10 = 0.1

# Fit f to the following data by modifying the variables C10
fit f(x) 'Dane4.txt' via C10

plot 'Dane4.txt' with points title 'data points', \
     f(x) with lines title sprintf('Neo Hookean: C10=%.5f', C10)