set termoption enhanced
set terminal pngcairo size 1270,720

set out "Signorini.png"
set title "Fit Signorini"
set grid
set key top left
set xlabel "{/Symbol e}"
set ylabel "{/Symbol s}"

# The polynomial approximation
f(x) = 2*C10*((1+x)-(1+x)**-2)+2*C01*(1-(1+x)**-3)+C20*(4*(1+x)**3+4-8*(1+x)**-3-12*(1+x)+12*(1+x)**-2)

# Initial values for parameters
C10 = 0.1
C01 = 0.1
C20 = 0.1

# Fit f to the following data by modifying the variables C10, C01, C20
fit f(x) 'Dane4.txt' via C10, C01, C20

plot 'Dane4.txt' with points title 'data points', \
     f(x) with lines title sprintf('Signorini: C10=%.5f, C01=%.5f, C20=%.5f', C10, C01, C20)